<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>gov.va.med.cds</groupId>
	<artifactId>tafs-webservice-client</artifactId>
	<name>Template and Filters Service - Webservice Client</name>
	<version>5.0.1-SNAPSHOT</version>
	<packaging>jar</packaging>
	<description>
		Web Template Filter (WTF) web service client
	</description>
	<!-- 
	<scm>
		<url>https://URL             .DNS   :PORT/ccm:server_rb_HDR_client_tafs-ws-client_main_stream_rws</url>
		<connection>scm:jazz:https://URL             .DNS   :PORT/ccm:server_rb_HDR_client_tafs-ws-client_main_stream_rws</connection>
		<developerConnection>scm:jazz:https://URL             .DNS   :PORT/ccm:server_rb_HDR_client_tafs-ws-client_main_stream_rws</developerConnection>
	</scm>
	-->
	
	<scm>
        <url>${env.SCM_URL}:${env.CLIENT_TAFSWSCLIENT_RB_RWS}</url>
        <connection>scm:jazz:${env.SCM_URL}:${env.CLIENT_TAFSWSCLIENT_RB_RWS}</connection>
        <developerConnection>scm:jazz:${env.SCM_URL}:${env.CLIENT_TAFSWSCLIENT_RB_RWS}</developerConnection>
    </scm>
    
	<properties>
		<org.springframework.version>4.2.7.RELEASE</org.springframework.version>
		<build.reports.outputsite>scp://serverURL       :/var/www/html/sites/repositories/clients/ars-webservice-client/</build.reports.outputsite>
		<build.reports.url>http://vserverURL       /sites/repositories/clients/ars-webservice-client/</build.reports.url>
		<apache.cxf.version>3.1.3</apache.cxf.version>
		<junit-ext.version>4.0.0</junit-ext.version>
		<common.version>6.0.0</common.version>
		<testharness.version>6.0.0</testharness.version>	
	</properties>
	<dependencies>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-core</artifactId>
			<version>${org.springframework.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-beans</artifactId>
			<version>${org.springframework.version}</version>
		</dependency>
		<dependency>
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
			<version>1.2</version>
		</dependency>
		<dependency>
			<groupId>gov.va.med.repos.lib</groupId>
			<artifactId>junit-ext</artifactId>
			<version>${junit-ext.version}</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>gov.va.med.repos.lib</groupId>
			<artifactId>common</artifactId>
			<version>${common.version}</version>
		</dependency>
		<dependency>
			<groupId>gov.va.med.repos.lib</groupId>
			<artifactId>testharness</artifactId>
			<version>${testharness.version}</version>
			<classifier>tests</classifier>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-test</artifactId>
			<version>${org.springframework.version}</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>javax.xml</groupId>
			<artifactId>jaxr-api</artifactId>
			<version>1.0_04</version>
		</dependency>
		<dependency>
			<groupId>weblogic</groupId>
			<artifactId>wlclient</artifactId>
			<version>12.1.2.0</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-core</artifactId>
			<version>${apache.cxf.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-transports-http</artifactId>
			<version>${apache.cxf.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-frontend-simple</artifactId>
			<version>${apache.cxf.version}</version>
			<exclusions>
				<exclusion>
					<groupId>com.sun.xml.bind</groupId>
					<artifactId>jaxb-core</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
	</dependencies>
	<profiles>
		<profile>
			<id>clover</id>
			<build>
				<plugins>
					<plugin>
						<groupId>com.atlassian.maven.plugins</groupId>
						<artifactId>maven-clover2-plugin</artifactId>
						<configuration>
							<excludes>
								<exclude>**/*Test.java</exclude>
								<exclude>**/*TestCase.java</exclude>
							</excludes>
						</configuration>
						<executions>
							<execution>
								<phase>pre-site</phase>
								<goals>
									<goal>instrument</goal>
									<goal>aggregate</goal>
								</goals>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
		</profile>
	</profiles>
	<build>
		<extensions>
			<extension>
				<groupId>org.apache.maven.wagon</groupId>
				<artifactId>wagon-webdav</artifactId>
				<version>1.0-beta-2</version>
			</extension>
		</extensions>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</resource>
		</resources>
		<testResources>
			<testResource>
				<directory>src/test/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</testResource>
		</testResources>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-scm-plugin</artifactId>
				<version>1.9.1</version>
				<dependencies>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-provider-jazz</artifactId>
						<version>1.9.1</version>
					</dependency>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-api</artifactId>
						<version>1.9.1</version>
					</dependency>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-client</artifactId>
						<version>1.9.1</version>
					</dependency>
				</dependencies>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-release-plugin</artifactId>
				<version>2.5</version>
			</plugin>

			<plugin>
				<groupId>com.fortify.ps.maven.plugin</groupId>
				<artifactId>sca-maven-plugin</artifactId>
				<version>4.30</version>
			</plugin>

		</plugins>
	</build>
	<distributionManagement>
		<repository>
			<id>internal</id>
			<url>http://serverURL       :8081/nexus/content/repositories/internal</url>
		</repository>
		<snapshotRepository>
			<id>snapshots</id>
			<url>http://serverURL       :8081/nexus/content/repositories/snapshots</url>
		</snapshotRepository>
		<site>
			<id>bob-website</id>
			<url> ${build.reports.outputsite}/<!-- ${project.version} --> </url>
		</site>
	</distributionManagement>
	<repositories>
		<repository>
			<id>internal</id>
			<name>Internal Repository</name>
			<url>http://serverURL       :8081/nexus/content/repositories/internal</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>snapshots</id>
			<name>Snapshots</name>
			<url>http://serverURL       :8081/nexus/content/repositories/snapshots</url>
			<releases>
				<enabled>false</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>
</project>
